## Contents

- Static Properties & Enumerations
- Events

namespace solace.MessageConsumerEventName

An enumeration of message consumer event names. A solace.MessageConsumer will emit these events as part of its lifecycle. Applications, having created a MessageConsumer can choose to listen to all of the events described here, or any subset of these events. For Example:

        mc = solace.Session.createMessageConsumer(...);
        mc.on(solace.MessageConsumerEventName.CONNECT_FAILED_ERROR,
              function connectFailedErrorEventCb(error) {
                // details is an OperationError object
              });

## Static Properties & Enumerations Top

string | ACTIVE = `MessageConsumerEventName_active` |  |
string | CONNECT_FAILED_ERROR = `MessageConsumerEventName_connectFailedError` |  |
string | DISPOSED = `MessageConsumerEventName_disposed` |  |
string | DOWN = `MessageConsumerEventName_down` |  |
string | DOWN_ERROR = `MessageConsumerEventName_downError` |  |
string | GM_DISABLED = `MessageConsumerEventName_GMDisabled` |  |
string | INACTIVE = `MessageConsumerEventName_inactive` |  |
string | MESSAGE = `MessageConsumerEventName_message` |  |
string | UP = `MessageConsumerEventName_up` |  |

## Events Top

void | ACTIVE ( ) |
void | CONNECT_FAILED_ERROR ( solace.OperationError error ) |
void | DISPOSED ( ) |
void | DOWN ( ) |
void | DOWN_ERROR ( solace.OperationError error ) |
void | DOWN_ERROR ( ) |
void | GM_DISABLED ( ) |
void | INACTIVE ( ) |
void | MESSAGE ( solace.Message message ) |
void | UP ( ) |

## Static Properties & Enumerations Detail Top

###
static public string ACTIVE = `MessageConsumerEventName_active`

###
static public string CONNECT_FAILED_ERROR = `MessageConsumerEventName_connectFailedError`

###
static public string DISPOSED = `MessageConsumerEventName_disposed`

###
static public string DOWN = `MessageConsumerEventName_down`

###
static public string DOWN_ERROR = `MessageConsumerEventName_downError`

###
static public string GM_DISABLED = `MessageConsumerEventName_GMDisabled`

###
static public string INACTIVE = `MessageConsumerEventName_inactive`

###
static public string MESSAGE = `MessageConsumerEventName_message`

###
static public string UP = `MessageConsumerEventName_up`

## Events Detail Top

###
public void ACTIVE ( )

The message consumer has become active.

#### Return Value

void |

###
public void CONNECT_FAILED_ERROR ( solace.OperationError error )

The message consumer attempted to connect but was unsuccessful. The message consumer is disabled.

#### Parameters

solace.OperationError | error Details of the error.

#### Return Value

void |

###
public void DISPOSED ( )

The message consumer is being disposed. No further events will be emitted.

#### Return Value

void |

###
public void DOWN ( )

The message consumer is successfully disconnected. The message consumer is disabled.

#### Return Value

void |

###
public void DOWN_ERROR ( solace.OperationError error )

The message consumer was established and then disconnected by the router, likely due to operator intervention. The message consumer is disabled.

#### Parameters

solace.OperationError | error Details of the error.

#### Return Value

void |

###
public void DOWN_ERROR ( )

The queue browser was established and then disconnected by the router, likely due to operator intervention. The queue browser is disabled.

#### Return Value

void |

###
public void GM_DISABLED ( )

The message consumer will not connect because the current session is incompatible with Guaranteed Messaging. The message consumer is disabled until a compatible session is available.

#### Return Value

void |

###
public void INACTIVE ( )

The message consumer has become inactive.

#### Return Value

void |

###
public void MESSAGE ( solace.Message message )

A message was received on the message consumer.

If the application throws an exception in this listener, and the consumer was configured to automatically acknowledge messages (see solace.MessageConsumerProperties#acknowledgeMode), the API will not acknowledge the message, since it may not have been successfully processed by the application. Such a message must be acknowledged manually. If the application did not retain a reference to the message, it may be redelivered by calling solace.MessageConsumer#disconnect followed by solace.MessageConsumer#connect depending on the configuration of the queue.

When there is no listener for MESSAGE on a MessageConsumer, messages are queued internally until a listener is added.

#### Parameters

solace.Message | message The received message being delivered in this event.

#### Return Value

void |

###
public void UP ( )

The message consumer is established.

#### Return Value

void |